MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031620Open CASCADE[OCCT] OCCT:Samplespublic2020-06-20 03:062020-09-22 21:46
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031620: Samples - update Android JNI sample to use AIS_ViewController
DescriptionIt is desired updating Android JNI sample to use AIS_ViewController.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507closedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0092592)
git (administrator)
2020-06-20 03:16

Branch CR31620 has been created by kgv.

SHA-1: 92ee29933f35ec2b12b1a8038e6a02e1a2e2ea1d


Detailed log of new commits:

Author: kgv
Date: Sat Jun 20 03:18:12 2020 +0300

    0031620: Samples - update Android JNI sample to use AIS_ViewController
(0092593)
git (administrator)
2020-06-20 03:54

Branch CR31620 has been updated forcibly by kgv.

SHA-1: 63a19b948170f4be7d36b958c5f0b381b216acc6
(0092594)
git (administrator)
2020-06-20 04:07

Branch CR31620 has been updated forcibly by kgv.

SHA-1: 48c3645f3004c340caeced9ca3ac9a64906a161c
(0092595)
git (administrator)
2020-06-20 04:19

Branch CR31620 has been updated forcibly by kgv.

SHA-1: 5499087adaa7f0f63ca9c765ddc24d42dd9c4b24
(0092600)
git (administrator)
2020-06-20 13:38

Branch CR31620 has been updated forcibly by kgv.

SHA-1: f255a4744606fb1da7745af94efc94a66c2c9c8c
(0092602)
kgv (developer)
2020-06-20 13:41

Patch is ready for review in OCCT branch CR31620.
(0092629)
git (administrator)
2020-06-21 00:09

Branch CR31620 has been updated forcibly by kgv.

SHA-1: 655e294c2f5220e9de349f3f30f607825eda23e9
(0092635)
git (administrator)
2020-06-22 09:10

Branch CR31620 has been updated forcibly by kgv.

SHA-1: 0f0e97a66766e5a473c1a3abaf9397c20a354f7e
(0092636)
git (administrator)
2020-06-22 09:14

Branch CR31620 has been updated forcibly by kgv.

SHA-1: b41aaaec423bfb1136fd9edea8dea306f4c61e05
(0092638)
git (administrator)
2020-06-22 09:17

Branch CR31620 has been updated forcibly by kgv.

SHA-1: bd0b095f65323d146cf2506d837ff70c0a83a4d2
(0092641)
nds (developer)
2020-06-22 11:29

OcctJni_Viewer.hxx:
if (!myView.IsNull())
    {
      myView->SetProj (theProj);
      myView->Invalidate();
}

following "early return", we should have:
if (myView.IsNull())
  return;
...
(0092642)
git (administrator)
2020-06-22 11:52

Branch CR31620 has been updated forcibly by kgv.

SHA-1: ceddb5ca9a852faa4c82dea447cc738240fb8439
(0092643)
kgv (developer)
2020-06-22 11:57

Remarks have been pushed.
(0092786)
bugmaster (administrator)
2020-06-28 11:27

Combination -
OCCT branch : IR-2020-06-26
master SHA - 832a6f4412321ca784bbb36916dc740d04a05c0c
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-06-26 SHA - 180ab3ca4e501bda3da57c99a8ac8b220db33df3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17164.36000000016 / 17160.400000000114 [+0.02%]
Products
Total CPU difference: 11173.720000000081 / 11197.400000000112 [-0.21%]
Windows-64-VC14:
OCCT
Total CPU difference: 18707.65625 / 18650.578125 [+0.31%]
Products
Total CPU difference: 13062.6875 / 13012.71875 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092808)
git (administrator)
2020-06-28 12:48

Branch CR31620 has been deleted by inv.

SHA-1: ceddb5ca9a852faa4c82dea447cc738240fb8439

- Related Changesets
occt: master ceddb5ca
Timestamp: 2020-06-20 00:18:12
Author: kgv
Details ] Diff ]
0031620: Samples - update Android JNI sample to use AIS_ViewController

Multi-touch input is now redirected to AIS_ViewController.
GLSurfaceView.RENDERMODE_WHEN_DIRTY is now used by 3D Viewer.
AIS_ViewCube is now displayed instead of trihedron.
mod - samples/java/jniviewer/app/src/main/java/com/opencascade/jnisample/OcctJniRenderer.java Diff ] File ]
mod - samples/java/jniviewer/app/src/main/java/com/opencascade/jnisample/OcctJniView.java Diff ] File ]
mod - samples/java/jniviewer/app/src/main/jni/OcctJni_Viewer.cxx Diff ] File ]
mod - samples/java/jniviewer/app/src/main/jni/OcctJni_Viewer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-20 03:06 kgv New Issue
2020-06-20 03:06 kgv Assigned To => kgv
2020-06-20 03:16 git Note Added: 0092592
2020-06-20 03:54 git Note Added: 0092593
2020-06-20 04:07 git Note Added: 0092594
2020-06-20 04:19 git Note Added: 0092595
2020-06-20 13:38 git Note Added: 0092600
2020-06-20 13:41 kgv Note Added: 0092602
2020-06-20 13:41 kgv Assigned To kgv => nds
2020-06-20 13:41 kgv Status new => resolved
2020-06-21 00:09 git Note Added: 0092629
2020-06-22 09:10 git Note Added: 0092635
2020-06-22 09:14 git Note Added: 0092636
2020-06-22 09:17 git Note Added: 0092638
2020-06-22 11:29 nds Note Added: 0092641
2020-06-22 11:29 nds Assigned To nds => kgv
2020-06-22 11:29 nds Status resolved => assigned
2020-06-22 11:52 git Note Added: 0092642
2020-06-22 11:57 kgv Note Added: 0092643
2020-06-22 11:57 kgv Assigned To kgv => nds
2020-06-22 11:57 kgv Status assigned => resolved
2020-06-22 12:13 nds Assigned To nds => bugmaster
2020-06-22 12:13 nds Status resolved => reviewed
2020-06-28 11:27 bugmaster Note Added: 0092786
2020-06-28 11:27 bugmaster Status reviewed => tested
2020-06-28 11:29 bugmaster Test case number => Not required
2020-06-28 12:35 kgv Changeset attached => occt master ceddb5ca
2020-06-28 12:35 kgv Assigned To bugmaster => kgv
2020-06-28 12:35 kgv Status tested => verified
2020-06-28 12:35 kgv Resolution open => fixed
2020-06-28 12:48 git Note Added: 0092808
2020-09-22 21:45 kgv Relationship added child of 0031521
2020-09-22 21:45 kgv Relationship deleted child of 0031521
2020-09-22 21:46 kgv Relationship added child of 0030507


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker